Update onboarding checklist
curl --request PATCH \
--url https://semgrep.dev/api/onboarding/deployments/{deploymentId}/checklist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"taskStatus": [
{}
]
}
'import requests
url = "https://semgrep.dev/api/onboarding/deployments/{deploymentId}/checklist"
payload = {
"deploymentId": "<string>",
"taskStatus": [{}]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deploymentId: '<string>', taskStatus: [{}]})
};
fetch('https://semgrep.dev/api/onboarding/deployments/{deploymentId}/checklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskStatus": [
{}
]
}Onboarding Checklist
Update onboarding checklist
Update the completion status of tasks in a deployment’s onboarding checklist.
PATCH
/
api
/
onboarding
/
deployments
/
{deploymentId}
/
checklist
Update onboarding checklist
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I